- Qt 5.15
- Qt Widgets
- C++ Classes
- QTextBrowser
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTextBrowser

The following members of class QTextBrowser are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(obsolete)` void | highlighted(const QString &link)

## Member Function Documentation

### `[signal]` void QTextBrowser::highlighted(const QString &link)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This is an overloaded function.

Convenience signal that allows connecting to a slot that takes just a QString, like for example QStatusBar's message().

Note: Signal highlighted is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

     connect(textBrowser, QOverload<const QString &>::of(&QTextBrowser::highlighted),
         [=](const QString &link){ /* ... */ });